agents.context

## Class AbstractContext

- java.lang.Object
- - agents.Agent
  - - agents.SystemAgent
    - - agents.context.AbstractContext

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  Context

    public class AbstractContext
    extends SystemAgent
    implements java.io.Serializable

The Class AbstractContext.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AbstractContext(World world)` Instantiates a new abstract context.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeAMessage(Message m)` Compute A message.
`void` `die()` Remove all the references in other agents and remove the agent from the scheduler.
`java.util.ArrayList<? extends Agent>` `getTargets()` Gets the targets.

### Methods inherited from class agents.SystemAgent

`getWorld, play, setWorld`

### Methods inherited from class agents.Agent

`getID, getMessages, getMessagesBin, getName, isDying, readMessage, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractContext

    public AbstractContext(World world)

Instantiates a new abstract context.

Parameters:
  `world` - the world

### Method Detail

#### getTargets

    public java.util.ArrayList<? extends Agent> getTargets()

Description copied from class: `SystemAgent`
Gets the targets.

Specified by:
  `getTargets` in class `SystemAgent`
Returns:
  the targets

#### computeAMessage

    public void computeAMessage(Message m)

Description copied from class: `Agent`
Compute A message.

Specified by:
  `computeAMessage` in class `Agent`
Parameters:
  `m` - the m

#### die

    public void die()

Remove all the references in other agents and remove the agent from the scheduler.

Overrides:
  `die` in class `Agent`